# Retrieve a payment application Retrieve the details of a specific Payment Application object. Endpoint: GET /object-query/payment-applications/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "payment" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the payment application. - `createdById` (string) The unique identifier of the user who created the payment application. - `createdDate` (string) The date and time when the payment application was created. - `updatedById` (string) The unique identifier of the user who last updated the payment application. - `updatedDate` (string) The date and time when the payment application was last updated. - `applyAmount` (number) The applied amount of the payment. - `effectiveDate` (string) The date when the payment application takes effect, in yyyy-mm-dd format. The effective date is later than or equal to the maximum effective date of the payment. - `paymentApplicationStatus` (string) The status of the payment application. Enum: "Processing", "Processed", "Cancelled" - `accountId` (string) The ID of the customer account associated with the payment application. - `paymentId` (string) The unique ID of the created payment. Example: "4028905f5a87c0ff015a87eb6b75007f" - `invoiceId` (string) The ID of the invoice to which the payment is applied. - `applicationGroupId` (string) The ID of the application group to which this payment application belongs. - `debitMemoId` (string) The ID of the debit memo to which the payment is applied. - `billingDocumentOwnerId` (string) The ID of the billing document owner. - `accountReceivableAccountingCodeId` (string) The accountReceivableAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled. - `unappliedPaymentAccountingCodeId` (string) The accounting code for the unapplied payment. - `cashAccountingCodeId` (string) The accounting code for cash payments. - `journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `payment` (object) - `payment.id` (string) The unique identifier of the payment. - `payment.createdById` (string) The unique identifier of the user who created the payment. - `payment.createdDate` (string) The time that the payment gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `payment.updatedById` (string) The unique identifier of the user who last updated the payment. - `payment.updatedDate` (string) The time that the payment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `payment.accountId` (string) The ID of the customer account that the payment is for. - `payment.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. - `payment.amount` (number) The total amount of the payment. - `payment.appliedAmount` (number) The applied amount of the payment. - `payment.authTransactionId` (string) The authorization transaction ID from the payment gateway. - `payment.appliedCreditBalanceAmount` (number) The amount of the payment to apply to a credit balance. - `payment.bankIdentificationNumber` (string) The first six or eight digits of the credit card or debit card used for the payment, when applicable. Use this field to reconcile payments between the gateway and merchant banks. - `payment.cancelledOn` (string) The date when the payment was canceled. - `payment.comment` (string,null) Comments about the payment. - `payment.currency` (string) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. Example: "USD" - `payment.effectiveDate` (string) The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format. - `payment.gatewayOrderId` (string) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. - `payment.gatewayReconciliationReason` (string) The reason of gateway reconciliation. - `payment.gatewayReconciliationStatus` (string) The status of gateway reconciliation. - `payment.gatewayResponse` (string) The message returned from the payment gateway for the payment. This message is gateway-dependent. - `payment.gatewayResponseCode` (string) The code returned from the payment gateway for the payment. This code is gateway-dependent. - `payment.gatewayState` (string) The status of the payment in the gateway; use for reconciliation. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `payment.gatewayTransactionState` (string) - `payment.isStandalone` (boolean) Indicates whether the payment is a standalone payment. A standalone payment is a payment that is not associated with any invoice or subscription. - `payment.markedForSubmissionOn` (string) The date and time when a charge was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `payment.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. - `payment.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction. - `payment.paymentOptionId` (string) ID of the paymentOption object, which describe the transactional level rules for processing payments. - `payment.paymentNumber` (string) The unique identification number of a payment. Example: "P-00000028." - `payment.payoutId` (string) The payout ID of the payment from the gateway side. - `payment.prepayment` (boolean) Indicates whether the payment is used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `payment.referencedPaymentID` (string) The ID of a referenced payment. - `payment.referenceId` (string) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `payment.refundAmount` (number) The amount of the payment that is refunded. - `payment.secondPaymentReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments. - `payment.settledOn` (string) The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `payment.softDescriptor` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payment.softDescriptorPhone` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payment.source` (string) Indicates how the payment was created, whether through API, manually, import, or payment run. Enum: "PaymentRun", "Import", "Manually", "API" - `payment.sourceName` (string) Name of the source. It can be a payment run number or a file name. - `payment.status` (string) The status of the payment. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted" - `payment.submittedOn` (string) The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format. - `payment.type` (string) The type of the payment. Enum: "External", "Electronic" - `payment.transferredToAccounting` (string) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `payment.transactionSource` (string) Payment transaction source used to differentiate the transaction source in Stored Credential Transaction framework. - C_Unscheduled: Cardholder-initiated transaction (CIT) that does not occur on scheduled or regularly occurring dates. - M_Recurring: Merchant-initiated transaction (MIT) that occurs at regular intervals. - M_Unscheduled: Merchant-initiated transaction (MIT) that does not occur on scheduled or regularly occurring dates. - M_MOTO: Mail Order Telephone Order (MOTO) payment transaction. This option is only available for credit card payments on Stripe v2. See [Overview of Stripe payment gateway integration](https://knowledgecenter.zuora.com/Zuora_Collect/Payment_gateway_integrations/Supported_payment_gateways/Stripe_Payment_Gateway/A_Overview_of_Stripe_payment_gateway_integration) for more information. Enum: "C_Unscheduled", "M_Recurring", "M_Unscheduled", "M_MOTO" - `payment.unappliedAmount` (number) The unapplied amount of the payment. - `payment.lastEmailDateTime` (string) The date and time when the last email was sent to the customer for the payment. - `payment.gateway` (string) Name of the gateway instance that processes the payment. - `payment.account` (object) The account associated with the payment. - `payment.paymentMethod` (object) The payment method used for this payment. - `payment.paymentApplications` (array) The payment applications associated with the payment. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.